Bug 1264191 - Review Request: php-wikimedia-assert - An alternative to PHP's assert
Review Request: php-wikimedia-assert - An alternative to PHP's assert
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1230630
  Show dependency treegraph
 
Reported: 2015-09-17 15:35 EDT by Michael Cronenworth
Modified: 2015-10-31 22:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 13:25:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2015-09-17 15:35:03 EDT
Spec URL: http://michael.cronenworth.com/RPMS/php-wikimedia-assert.spec
SRPM URL: http://michael.cronenworth.com/RPMS/php-wikimedia-assert-0.2.2-1.fc22.src.rpm
Description: This package provides an alternative to PHP's assert() that allows for a simple and reliable way to check preconditions and postconditions in PHP code. It was proposed as a MediaWiki RFC, but is completely generic and can be used by any PHP program or library.
Fedora Account System Username: mooninite
Comment 1 Remi Collet 2015-09-18 03:19:40 EDT
This library is PSR-4 compliant, so per Guidelines we have to restore a PSR-0 tree.

composer.json:
        "psr-4": {
            "Wikimedia\\Assert\\": "src/",

src/Assert.php
        namespace Wikimedia\Assert;

So have to be installed in 

/usr/share/php/Wikimedia/Assert

Especially as "Assert" is quite too generic, this will avoid conflicts.


Notice: I won't do the "formal" review  (because of github URL Guidelines)
Comment 3 gil cattaneo 2015-09-30 20:41:40 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 9 files have unknown license. Detailed
     output of licensecheck in /home/gil/1264191-php-wikimedia-
     assert/licensecheck.txt
   Please, ask to upstream to include license header where are missing
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/php/Wikimedia
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/php/Wikimedia
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
     static analyze results in /home/gil/1264191-php-wikimedia-
     assert/phpci.log


Rpmlint
-------
Checking: php-wikimedia-assert-0.2.2-2.fc24.noarch.rpm
          php-wikimedia-assert-0.2.2-2.fc24.src.rpm
php-wikimedia-assert.noarch: W: spelling-error %description -l en_US postconditions -> post conditions, post-conditions, preconditions
php-wikimedia-assert.src: W: spelling-error %description -l en_US postconditions -> post conditions, post-conditions, preconditions
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
php-wikimedia-assert (rpmlib, GLIBC filtered):
    php(language)
    php-spl



Provides
--------
php-wikimedia-assert:
    php-composer(wikimedia/assert)
    php-wikimedia-assert



Source checksums
----------------
https://github.com/wmde/Assert/archive/v0.2.2.tar.gz#/php-wikimedia-assert-0.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 50ef517dc874aa9edb7afa8c092318d012bb84531544260291e89f4f76c779a5
  CHECKSUM(SHA256) upstream package : 50ef517dc874aa9edb7afa8c092318d012bb84531544260291e89f4f76c779a5


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1264191 --plugins PHP -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 gil cattaneo 2015-09-30 20:43:16 EDT
NON blocking issues:

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 9 files have unknown license. Detailed
     output of licensecheck in /home/gil/1264191-php-wikimedia-
     assert/licensecheck.txt
Please, ask to upstream to include license header where are missing

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/php/Wikimedia

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/php/Wikimedia


NOTE: "Buildarch:	noarch" should be "BuildArch:	noarch"
Comment 6 gil cattaneo 2015-10-05 11:58:15 EDT
could you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1241447 ?
Comment 7 gil cattaneo 2015-10-05 12:17:08 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 9 files have unknown license. Detailed
     output of licensecheck in /home/gil/1264191-php-wikimedia-
     assert/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
     static analyze results in /home/gil/1264191-php-wikimedia-
     assert/phpci.log


Rpmlint
-------
Checking: php-wikimedia-assert-0.2.2-3.fc24.noarch.rpm
          php-wikimedia-assert-0.2.2-3.fc24.src.rpm
php-wikimedia-assert.noarch: W: spelling-error %description -l en_US postconditions -> post conditions, post-conditions, preconditions
php-wikimedia-assert.src: W: spelling-error %description -l en_US postconditions -> post conditions, post-conditions, preconditions
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
php-wikimedia-assert (rpmlib, GLIBC filtered):
    php(language)
    php-spl



Provides
--------
php-wikimedia-assert:
    php-composer(wikimedia/assert)
    php-wikimedia-assert



Source checksums
----------------
https://github.com/wmde/Assert/archive/v0.2.2.tar.gz#/php-wikimedia-assert-0.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 50ef517dc874aa9edb7afa8c092318d012bb84531544260291e89f4f76c779a5
  CHECKSUM(SHA256) upstream package : 50ef517dc874aa9edb7afa8c092318d012bb84531544260291e89f4f76c779a5


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1264191 --plugins PHP -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 gil cattaneo 2015-10-05 12:17:42 EDT
approved
Comment 9 Fedora Update System 2015-10-08 12:15:29 EDT
php-wikimedia-assert-0.2.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4465060d5e
Comment 10 Fedora Update System 2015-10-08 12:16:14 EDT
php-wikimedia-assert-0.2.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4a43f2bcc
Comment 11 Fedora Update System 2015-10-09 09:54:30 EDT
php-wikimedia-assert-0.2.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-wikimedia-assert'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4a43f2bcc
Comment 12 Fedora Update System 2015-10-09 09:55:17 EDT
php-wikimedia-assert-0.2.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-wikimedia-assert'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4465060d5e
Comment 13 Fedora Update System 2015-10-23 13:25:25 EDT
php-wikimedia-assert-0.2.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-10-31 22:44:18 EDT
php-wikimedia-assert-0.2.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.